import os
import sys


def run_mkdocs():
    with open(os.devnull, "w") as devnull:
        old_stdout = sys.stdout
        old_stderr = sys.stderr
        sys.stdout = devnull
        sys.stderr = devnull
        try:
            os.system("mkdocs serve -q")
        finally:
            sys.stdout = old_stdout
            sys.stderr = old_stderr
